<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title th:text="${job.getTitle()}"> Detail</title>
</head>
<body>

<div>
    <b th:text="${company.getName()}"/>
    <p th:text="${company.getDescription()}"/>
    <b>รายละเอียดบริษัท</b>
    <p th:text="${company.getDetail()}"/>
    <b>ที่อยู่</b>
    <p th:text="${company.getAddress()}"/>
    <b>ติดต่อ</b>
    <p th:text="${company.getContactPersonName()}"/>
    <p th:text="${company.getPhoneNo()}"/>
    <p th:text="${company.getEmail()}"/>
    <p th:text="${company.getWebsite()}"/>
</div>
<div>
    <b> ข้อมูลพื้นฐาน </b>
    <p th:text="${job.getTitle()}"/>
    <b>สายอาชีพของงาน</b>
    <p th:text="${job.getJobFieldEntity().getJobFieldName()}"/>
    <b>ประเภทของงาน</b>
    <p th:text="${job.getJobTypeEntity().getJobType()}"/>
    <b>ความสามารถที่ต้องการ</b>
    <div th:each="competency: ${job.getJobCompetencies()}">
        <label for="competency"
               th:text="${competency.getCompetenciesEntity().getName()}"/>
        <input type="text"
               id="competency"
               th:value="${competency.getWeightScore()}"
               disabled/>
    </div>
    <b>รายละเอียดของงาน</b>
    <p th:text="${job.getDescription()}"/>
    <b>คุณสมบัติที่ต้องการ</b>
    <p th:text="${job.getQualification()}"/>
    <b>ผลตอบแทน</b>
    <p th:text="${job.getBenefit()}"/>
    <b>ข้อมูลเพิ่มเติม</b>
    <p th:text="${job.getExtraInformation()}"/>
</div>

<!-- อนาคตต้องเช็ค Status, resume, transcript ก่อน-->
<div th:if="${isApply} == false">
    <form th:action="@{/student/apply_job}" method="post">
        <input type="hidden" name="jobId" th:value="${job.getJobId()}">
        <button type="submit">สมัครงาน</button>
    </form>
</div>

<div th:unless="${isApply} == false">
    <form th:action="@{/student/cancel_apply_job}" method="post">
        <input type="hidden" name="jobId" th:value="${job.getJobId()}">
        <div th:if="${canCancel}"><button type="submit">ยกเลิกสมัครงาน</button></div>
        <div th:unless="${canCancel}"><button type="submit" disabled>ยกเลิกสมัครงาน</button></div>
    </form>
</div>
</body>
</html>